in scala.actors.remote
class TcpService

`class` TcpService
  `extends` java.lang.Thread
  `with` scala.actors.remote.Service
  `with` scala.ScalaObject

Constructor Summary
| `def` this (port: scala.Int)

Val Summary
| `val` serializer : scala.actors.remote.JavaSerializer

Val inherited from scala.actors.remote.Service
kernel

Var inherited from java.lang.Thread
inheritableThreadLocals , threadLocals

Def Summary
| `def` addConnection (node: scala.actors.remote.Node, worker: scala.actors.remote.TcpServiceWorker) : scala.Unit
| `def` connect (n: scala.actors.remote.Node) : scala.actors.remote.TcpServiceWorker
| `def` disconnectNode (n: scala.actors.remote.Node) : scala.Unit
| `def` getConnection (n: scala.actors.remote.Node) : scala.Option[scala.actors.remote.TcpServiceWorker]
| `def` isConnected (n: scala.actors.remote.Node) : scala.Boolean
| `def` isReachable (node: scala.actors.remote.Node) : scala.Boolean
| `def` node : scala.actors.remote.Node
| `def` nodeDown (mnode: scala.actors.remote.Node) : scala.Unit
`override` | `def` run : scala.Unit
| `def` send (node: scala.actors.remote.Node, data: scala.Array[scala.Byte]) : scala.Unit

Def inherited from java.lang.Thread
blockedOn , checkAccess, countStackFrames, destroy, getContextClassLoader, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, interrupt, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setName, setPriority, setUncaughtExceptionHandler, start, stop, stop, suspend, toString

Def inherited from scala.actors.remote.Service
node , send

Constructor Detail

`def` this (port: scala.Int)

Val Detail

`val` serializer : scala.actors.remote.JavaSerializer

Def Detail

`def` addConnection (node: scala.actors.remote.Node, worker: scala.actors.remote.TcpServiceWorker): scala.Unit

`def` connect (n: scala.actors.remote.Node): scala.actors.remote.TcpServiceWorker

`def` disconnectNode (n: scala.actors.remote.Node): scala.Unit

`def` getConnection (n: scala.actors.remote.Node): scala.Option[scala.actors.remote.TcpServiceWorker]

`def` isConnected (n: scala.actors.remote.Node): scala.Boolean

`def` isReachable (node: scala.actors.remote.Node): scala.Boolean

`def` node : scala.actors.remote.Node

`def` nodeDown (mnode: scala.actors.remote.Node): scala.Unit

`override def` run : scala.Unit

`def` send (node: scala.actors.remote.Node, data: scala.Array[scala.Byte]): scala.Unit